online evals
Create online evals activate
Requires scopes: admin:org
POST
/
api
/
online-evals
/
monitors
/
{id}
/
activate
Create online evals activate
curl --request POST \
--url https://evalgate.com/api/online-evals/monitors/{id}/activate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"versionId": "<string>",
"expectedConfigHash": "<string>",
"acceptCostWarning": false,
"acceptAlertVolumeWarning": false
}
'import requests
url = "https://evalgate.com/api/online-evals/monitors/{id}/activate"
payload = {
"versionId": "<string>",
"expectedConfigHash": "<string>",
"acceptCostWarning": False,
"acceptAlertVolumeWarning": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
versionId: '<string>',
expectedConfigHash: '<string>',
acceptCostWarning: false,
acceptAlertVolumeWarning: false
})
};
fetch('https://evalgate.com/api/online-evals/monitors/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"monitorId": 123,
"versionId": "<string>",
"status": "<string>",
"activatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I
Create online evals activate
